Bug Hunting Session
Bug 33781 - No anti-aliasing in metafiles when anchor is "as char"
Summary: No anti-aliasing in metafiles when anchor is "as char"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Roland Baudin
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-31 13:07 UTC by Roland Baudin
Modified: 2012-12-03 06:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (9.04 KB, application/vnd.oasis.opendocument.text)
2011-01-31 13:08 UTC, Roland Baudin
Details
Anti-aliasing of a metafile object (26.87 KB, application/vnd.oasis.opendocument.text)
2011-06-19 01:49 UTC, Roland Baudin
Details
Anti-aliasing of a draw8 object (15.36 KB, application/vnd.oasis.opendocument.text)
2011-06-19 01:50 UTC, Roland Baudin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Roland Baudin 2011-01-31 13:07:10 UTC
In Draw, insert a circle shape. Copy, paste as metafile into Writer document.
Change anchor mode to "as character" -> no anti-aliasing anymore. Change back to
"at paragraph" -> anti-aliasing works again.
Comment 1 Roland Baudin 2011-01-31 13:08:17 UTC
Created attachment 42775 [details]
Test file
Comment 2 Cédric Bosdonnat 2011-05-16 03:56:38 UTC
Fixed by your patch sent to the mailing list and pushed to 3.4 branch.
http://cgit.freedesktop.org/libreoffice/writer/commit/?h=libreoffice-3-4&id=d5885f16f6cbed93d1dc96703a084b9aaf9af32d
Comment 3 Jean-Baptiste Faure 2011-06-18 00:47:16 UTC
Hi Roland,

You should attach yours test files (like antialiasing-metafile-test.odt with the equations) to this bug report.
Big thanks for your patches :-)
Comment 4 Roland Baudin 2011-06-19 01:49:58 UTC
Created attachment 48152 [details]
Anti-aliasing of a metafile object
Comment 5 Roland Baudin 2011-06-19 01:50:42 UTC
Created attachment 48153 [details]
Anti-aliasing of a draw8 object
Comment 6 Rainer Bielefeld Retired 2012-12-03 06:28:12 UTC
Assignee due to facts